Subject: Re: restricted depends prevent installation
To: Phil Nelson <>
From: David Brownlee <>
List: tech-pkg
Date: 09/27/2002 16:23:31
On Wed, 25 Sep 2002, Phil Nelson wrote:

> >installing kde3 wants xanim, which we mark as restricted (no cdrom/ftp).
> >this effectively prevents installing kde3 until the user either gets a
> >binary pkg from some place, or builds it for themselve. That's kinda
> >suboptimal.
> I was wondering about this.  xanim is currently in the 1.6/i386 binary
> packages on ftp.  It most likely should be removed.

	How difficult would it be to put the restricted codecs into
	a shared library and have xanim dlopen() it if found, similar
	to the way the libdvdcss library can be used by mplayer and

		David/absolute          -- No hype required --